body {
    font-family: "Poppins", sans-serif;
    line-height: 1.6;
}

p{
    font-family: "Poppins", sans-serif;
}
h1, h2, h3, h4, h5, h6 {
    margin-bottom: 0.5rem;
    font-weight: 500;
    background: linear-gradient(to  right, #30cfd0 0%,#330867 100%);
    background-clip: text;
    color: transparent;
}

.map {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 400px; /* adjust the height as needed */
  }

p {
    margin-bottom: 1.5rem;
}

a {
    color: #333;
    text-decoration: none;
    transition: color 0.3s ease;
}

a:hover {
    color: #555;
    text-decoration: underline;
}

button, input[type="submit"] {
    background-color: #333;
    color: #fff;
    padding: 0.5rem 1rem;
    border: none;
    border-radius: 0.25rem;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

button:hover, input[type="submit"]:hover {
    background-color: #444;
}

/* lightbox Styles */
.lightbox {
    display: none;
    position: fixed;
    z-index: 9999;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #000;
    background: rgba(0, 0, 0, 0.8);
}

.lightbox img {
    display: block;
    max-width: 80%;
    max-height: 80%;
    margin: 5% auto;
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.5);
}
.lightbox-trigger {
    cursor: pointer;
}

.lightbox-trigger:hover {
    cursor: hand;
}

/* table Styles */
.content_resize {
    display: flex;
    justify-content: center;
}
table {
    margin: 0 auto;
}

/* Header Styles */
.header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    background-color: #fff;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}


.logo {
    flex-basis: 200px;
}

.nav {
    display: flex;
    align-items: center;
}

.menu-toggle {
    display: none;
}

.menu-options {
    display: flex;
    margin-left: 20px;
}

.menu-option {
    margin-right: 20px;
}

.catalog { 
    transform: rotate(90deg);
    position: fixed;
    right: -74px;
    top: 30%;
    margin-top: 15px; 
    background: #1e96ff; 
    border-radius: 2px; 
    padding: 7px 20px; 
    color: black; 
    font-size: 15px; 
    font-weight: 500;
}
.catalog:hover{
    background: grey;
    color: white;
}


/* header Styles */
.header .logo {
    height: 7rem;
    width: 7rem;
    width: auto;
    margin-right: 2rem;
}

.header .logo img {
    width: 300px; 
    height: 150px;
}

.header .nav {
    display: flex;
    align-items: center;
}

.header .menu-toggle {
    display: none;
    color: #333;
    font-size: 1.5rem;
    cursor: pointer;
}

.header .menu-options {
    display: flex;
    list-style: none;
    margin: 0;
    padding: 0;
}

.header .menu-option {
    color: #333;
    padding: 1rem 2rem;
    transition: background-color 0.3s ease;
    margin-right: 2rem;
}

.header .menu-option:hover {
    background-color:#1e96ff;
    color: #f2f2f2;
}

.header .menu-option.active {
    background-color: #f2f2f2;
}

.header .nav.show .menu-options {
    display: flex;
    flex-direction: column;
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    background-color: #fff;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    padding: 1rem 0;
    transform: scaleY(1);
    opacity: 1;
    transition: transform 0.3s ease, opacity 0.3s ease;
}

.header .nav.hide .menu-options {
    transform: scaleY(0);
    opacity: 0;
}

.header .nav.show .menu-option {
    margin: 1rem 0;
}

/* Dropdown styles */

.toggle_btn{
    cursor: pointer;
    display: none;
}
.dropdown_menu{
    display: block;
    font-weight: 500;
    font-size: 20px;
    position: absolute;
    right: 2rem;
    top: 60px;
    width: 300px;
    height: 0;
    background:#000;
    background: rgba(203, 227, 44, 0.1);
    backdrop-filter: blur(50px);
    border-radius: 10px;
    overflow: hidden;
    z-index: 1000;
    transition: height 0.2s cubic-bezier(0.175, 0.885, 0.32, 1.275);
}
.dropdown_menu.open{
    height: 370px;
}

.dropdown_menu a{
    padding: 1rem;
    text-decoration: red;
    display: flex;
    align-items: center;
    justify-content: center;
}

@media (max-width: 992px) {
    .nav .menu-options{
        display: none;
    }
    .toggle_btn{
        display: block;
    }
    .dropdown_menu{
        display: block;
    }
}

@media (max-width: 576px) {
    .dropdown_menu{
        left: 2rem;
    }
}

/* services */
/* #services .our_services h3{
    color:#e40000;
} */

#services .our_services img{
    height: 250px;
     width: 400px; 
     border-radius: 10px; 
     margin-right: 20px;
}

/* Banner Styles */

.banner {
    position: relative;
    overflow: hidden;
    height: 50vh;
}

.banner img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.banner-content {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba(255, 255, 255, 0.7);
    padding: 2rem;
    color: #333;
    text-align: center;
    transition: transform 0.5s ease;
    transform: translateY(100%);
}

.banner-content h1 {
    font-size: 2.5rem;
    margin-bottom: 1rem;
}

.banner-content p {
    font-size: 1.2rem;
    margin-bottom: 2rem;
}

.banner:hover .banner-content {
    transform: translateY(0);
}

.image-container {
    text-align: center;
}

/* about */

#about .image-container img {
    border-radius:2px;
    height: 350px; 
    width: 600px;
}

#about .about_us .paragraph {
    font-size: 14px;
    line-height: 1px;
  }

@media (max-width: 768px) {
  #about .about_us .content_resize {
    padding: 20px;
  }

  #about .about_us .paragraph {
    font-size: 14px;
  }

  #about .about_us .image-container img {
    width: 100%;
    height: auto;
  }
}


/*banner media query*/
@media (max-width: 992px) {
    .banner{
        position: relative;
        overflow: hidden;
        height: 50vh;
    }
    .banner img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
}

@media (max-width: 576px) {
    .banner{
        height: 40vh;
    }
}

/* consulting */
@media (max-width: 992px) {
    .Consulting{
        position: relative;
        overflow: hidden;
        height: 20vh;
    }
    .Consulting p {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
}

@media (max-width: 576px) {
    .Consulting .paragraph p {
        font-size: 10px;
        line-height: 1.4;
        padding: 0 20px;
    }
}

/* Vehicle Portfolio St */
.vehicle-portfolio {
    margin: 3rem 0;
    position: relative;
    overflow: hidden;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 500px;
}


.slider{
    width: 800px;
    height: 500px;
    border-radius: 10px;
    overflow: hidden;
    position: relative;

}

.slides{
    width: 500%;
    height: 500px;
    display: flex;
}

.slides input{
    display: none;
}

.slide{
    width: 20%;
    transition: 2s;
}

.slide img{
    width: 800px;
    height: 500px;
}

.navigation-manual{
    position: absolute;
    width: 800px;
    margin-top: -40px;
    display: flex;
    justify-content: center;
}

.manual-btn{
    border: 2px solid #40D3DC;
    padding: 5px;
    border-radius: 10px;
    cursor: pointer;
    transition: 1s;
}

.manual-btn:not(:last-child){
    margin-right: 40px;
}

.manual-btn:hover{
    background: #40D3DC;
}

#radio1:checked ~ .first{
    margin-left: 0;
}
#radio2:checked ~ .first{
    margin-left: -20%;
}
#radio3:checked ~ .first{
    margin-left: -40%;
}

.navigation-auto{
    position: absolute; 
    display: flex;
    width: 800px;
    justify-content: center;
    margin-top: 460px;
}

.navigation-auto div{
    border: 2px solid #40D3DC;
    padding: 5px;
    border-radius: 10px;
    transition: 1s;
}

.navigation-auto div:not(:last-child){
    margin-right: 40px;
}

#radio1:checked ~ .navigation-auto .auto-btn1{
    background: #40D3DC;
}
#radio2:checked ~ .navigation-auto .auto-btn2{
    background: #40D3DC;
}
#radio3:checked ~ .navigation-auto .auto-btn3{
    background: #40D3DC;
}

/* vehicle portfolio media */
@media (max-width: 992px) {
    .vehicle-portfolio .slider {
        width: 100%; 
        max-width: 650px;
        height: 400px;
        border-radius: 10px;
        overflow: hidden;
        position: relative;
        margin: 0 auto;
    }

    .vehicle-portfolio .slides {
        width: 500%;
        height: 400px;
        display: flex;
    }
}

@media (max-width: 576px) {
    .vehicle-portfolio .slider {
        width: 100%;
        max-width: 450px;
        height: 300px;
        border-radius: 10px;
        overflow: hidden;
        position: relative;
        margin: 0 auto;
    }
    .vehicle-portfolio .slides {
        width: 500%;
        height: 300px;
        display: flex;
    }

    .vehicle-portfolio .slides img {
        width: 100%;
        height: auto;
        object-fit: cover;
    }
}


.map-container {
    width: 100%;
  }
   
   .map-row {
     display: flex;
     width: 100%;
   }
   
   #map1, #map2, #map3, #map4 {
    width: 100%;
    height: 400px;
  }

  /* back to top */
.back-top-btn {
    position: fixed;
    margin-bottom: 50px;
    bottom: 20px;
    right: 20px;
    background-color: #333;
    color: #fff;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    transition: all 0.3s ease-in-out;
  }
  
  .back-top-btn:hover {
    background: #1e96ff;
  }
  
/* Footer Styles */
.footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #333;
    padding: 1rem;
}

.foot p {
    color: white;
    text-align: center;
    flex-grow: 1;
    margin-left: 470px;
}

/* .google translate element */
.google_translate_element{
margin-right: 40px;
}

/* map container */
.map-container {
    position: relative;
    overflow: hidden;
  }
  
.map-slide {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    transition: opacity 0.5s ease-in-out;
}
  
.map-slide.active {
    opacity: 1;
}

.map{
    height: 90vh;
}


.section {
    background-color: #f5f5f5;
    padding: 40px 0;
}

.sect {
    background-color: white;
    padding: 40px 0;
}


.paragraph {
    max-width: 1450px;    
    line-height: 2;
    font-size: 15px;
    font-weight: 300;
    color: #666;
    text-decoration: solid;
    text-align: justify;
}

.Consulting .paragraph{
    margin-left: 10px;
}

#contact{
    margin-top: -21rem;
}
#contact h2{
    margin-left: 10px;
}

#contact .paragraph{
    margin-left: 10px;
}

.ab {
    overflow: hidden; /* Ensure content doesn't overflow during animation */
}

.ab p {
    color: #555;
    line-height: 1.6;
    opacity: 0;
    transform: translateX(-20px);
    animation: fadeIn 0.5s ease-out forwards; /* Animation definition */
    }
    .ab p:nth-child(1) { animation-delay: 0.5s; }
    .ab p:nth-child(2) { animation-delay: 1s; }
    .ab p:nth-child(3) { animation-delay: 1.5s; }
    .ab p:nth-child(4) { animation-delay: 2s; }
    .ab p:nth-child(5) { animation-delay: 2.5s; }

@keyframes fadeIn {
to {
    opacity: 1;
    transform: translateX(0);
}
}

.paragraph::before {
    content: "";
    display: block;
    width: 1450px;
    height: 5px;
    background-color: #f00;
    margin-bottom: 20px;
}

/* Add this CSS to style the language selector */
.content-resize {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.left-image {
    width: 500px;
    height: 400px;
    order: 1; 
}

.mainbar {
    flex: 1; 
    padding: 10px;
}
